package com.docus.server.convert;

import com.docus.infrastructure.web.response.PageResult;
import com.docus.server.entity.segmentation.OcrRuleTest;
    import com.docus.server.dto.segmentation.ocrruletest.AddOcrRuleTestDTO;
    import com.docus.server.dto.segmentation.ocrruletest.EditOcrRuleTestDTO;
    import com.docus.server.dto.segmentation.ocrruletest.DeleteOcrRuleTestDTO;
import com.docus.server.vo.segmentation.ocrruletest.OcrRuleTestVO;

import org.mapstruct.Mapper;
import org.mapstruct.Mappings;
import org.mapstruct.factory.Mappers;

import java.util.List;

/**
*
* 匹配策略表-调试 服务转换器
*
* @author AutoGenerator
* @since 2023-08-29
*/
@Mapper
public interface OcrRuleTestConvert {

    OcrRuleTestConvert INSTANCE = Mappers.getMapper(OcrRuleTestConvert.class);

    @Mappings({})
    OcrRuleTest convertDO(AddOcrRuleTestDTO addOcrRuleTestDTO);

    @Mappings({})
    OcrRuleTest convertDO(EditOcrRuleTestDTO editOcrRuleTestDTO);

    @Mappings({})
    List<OcrRuleTest> convertAddDOList(List<AddOcrRuleTestDTO> addOcrRuleTestDTO);

    @Mappings({})
    List<OcrRuleTest> convertEditDOList(List<EditOcrRuleTestDTO> editOcrRuleTestDTO);

    @Mappings({})
    OcrRuleTestVO convertVO(OcrRuleTest ocrRuleTest);

    @Mappings({})
    List<OcrRuleTestVO> convertVO(List<OcrRuleTest> ocrRuleTestList);

    @Mappings({})
    PageResult<OcrRuleTestVO> convertVO(PageResult<OcrRuleTest> pageResult);
}

